aboutsummaryrefslogtreecommitdiffstats
path: root/main/gst-ffmpeg/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-20 08:17:05 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-20 08:17:41 +0000
commit81b36fe36dd99216711c14b4867ec035d9030cc6 (patch)
treeb92f8b3ae3b5b56dcf0da19745a0343fc84f6ae0 /main/gst-ffmpeg/APKBUILD
parentebfda1dde1e15573926b9bd83cae8648c201c85a (diff)
downloadaports-81b36fe36dd99216711c14b4867ec035d9030cc6.tar.gz
aports-81b36fe36dd99216711c14b4867ec035d9030cc6.tar.bz2
aports-81b36fe36dd99216711c14b4867ec035d9030cc6.tar.xz
Revert "main/gst-ffmpeg: disable PIC so we get the mmx stuff"
Diffstat (limited to 'main/gst-ffmpeg/APKBUILD')
-rw-r--r--main/gst-ffmpeg/APKBUILD7
1 files changed, 3 insertions, 4 deletions
diff --git a/main/gst-ffmpeg/APKBUILD b/main/gst-ffmpeg/APKBUILD
index f376e83c0a..e27d02a696 100644
--- a/main/gst-ffmpeg/APKBUILD
+++ b/main/gst-ffmpeg/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gst-ffmpeg
pkgver=0.10.10
-pkgrel=2
+pkgrel=3
pkgdesc="Gstreamer FFMpeg Plugin"
url="http://www.gstreamer.net"
license="GPL"
@@ -10,12 +10,11 @@ source="http://gstreamer.freedesktop.org/src/gst-ffmpeg/gst-ffmpeg-$pkgver.tar.b
build() {
cd "$srcdir"/gst-ffmpeg-$pkgver
- export CFLAGS="$CFLAGS -fno-strict-aliasing -fno-PIC"
- export LDFLAGS="$LDFLAGS -nopie"
+ export CFLAGS="$CFLAGS -fno-strict-aliasing"
./configure --prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- || return 1
+ --with-ffmpeg-extra-configure="--enable-pic --disable-mmx --disable-mmx2" || return 1
make || return 1
}